Package org.apache.sling.query.impl.function

## Class CompositeFunction<T>

- java.lang.Object
- - org.apache.sling.query.impl.function.CompositeFunction<T>

All Implemented Interfaces:
  `Function<Iterator<org.apache.sling.query.api.internal.Option<T>>,​Iterator<org.apache.sling.query.api.internal.Option<T>>>`, `org.apache.sling.query.api.internal.IteratorToIteratorFunction<T>`

    public class CompositeFunction<T>
    extends Object
    implements org.apache.sling.query.api.internal.IteratorToIteratorFunction<T>

### Constructor Summary

Constructors
`CompositeFunction​(List<Function<?,​?>> functions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.query.api.internal.Option<T>>` `apply​(Iterator<org.apache.sling.query.api.internal.Option<T>> input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Constructor Detail

#### CompositeFunction

    public CompositeFunction​(List<Function<?,​?>> functions)

### Method Detail

#### apply

    public Iterator<org.apache.sling.query.api.internal.Option<T>> apply​(Iterator<org.apache.sling.query.api.internal.Option<T>> input)

Specified by:
  `apply` in interface `Function<Iterator<org.apache.sling.query.api.internal.Option<T>>,​Iterator<org.apache.sling.query.api.internal.Option<T>>>`